## **Mode d'emplois** : Les playbooks ci-dessous peuvent être déployer de la façon suivante :

### Playbook : apbase.yml
Ce playbook permet de faire la configuration de base :
 * changement de la timezone
 * recuperation du fichier apt.conf pour pouvoir acceder a internet
 * installation des paquets nécessaires pour la réalisation du projet (tomcat, ant, mariadb-server)
 * installation du paquet qemu-guest-agent

Pour l'exécuter : ````ansible-playbook -i hosts apbase.yml````

### Playbook : apdb.yml
Ce playbook permet de : 
 * installer python3 indispensable pour mysql
 * créer la base de données sdis29
 * créer un nouvel utilisateur qui aura tous les privilèges
 * copier le dump mysql sur la machine pt
 * importer le fichier sdis29.sql sur la base de données
**NB**: Le module **login_unix_socket: /run/mysqld/mysqld.sock** est nécessaire à chaque fois qu'on fait appel à la base de données 

Pour l'exécuter :````ansible-playbook - i hosts apdb.yml````

### Playbook : apdbdump.yml
Ce playbook permet de faire une sauvegarde de la base de données : 
 * export de la base de données
 * recupération du fichier dump

Pour l'exécuter : ````ansible-playbook -i hosts apdbdump.yml````
